Subject: Re: [3.15-rc3] Bisected: xen-netback mangles packets between two guests on a bridge since merge of "TX grant mapping with SKBTX_DEV_ZEROCOPY instead of copy" series.

From: Steven Haigh <[email-masked]>
Date: Wed, 07 May 2014 04:07:24 +1000

On 07/05/14 03:37, Sander Eikelenboom wrote:
> 
> Tuesday, May 6, 2014, 7:13:44 PM, you wrote:
> 
>> On 06/05/14 18:07, Steven Haigh wrote:
>>> On a related note, I'm seeing this on an Arch Linux DomU and kernel
>>> 3.14.2. Its running aria2c bit torrent client.
>>>
>>> The Dom0 is EL6 with Xen 4.2.4 / 3.14.2 kernel.
>>>
>>> I also lodged this on the Arch bug tracker:
>>>       https://bugs.archlinux.org/task/40244
>>>
>>> In a nutshell, I see:
>>> [ 7432.398096] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7434.270870] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7434.782199] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7435.184794] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7437.530677] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7437.973905] xen_netfront: xennet: skb rides the rocket: 19 slots
>>> [ 7438.383947] xen_netfront: xennet: skb rides the rocket: 19 slots
> 
>> Can you also see packet corruption? You can find a testfile generator in 
>> Sander's mail, downloading from an Apache server with wget seems to be OK.
> 
> The corruption shouldn't be there since he is running 3.14.2 which is fine.
> 
> And note that the corruption with 3.15 only seems to occur in traffic between 
> guests  and not between dom0 and guest. The bit torrent traffic is probably 
> inet <-> dom0 <-> guest, so shouldn't be affected, even with 3.15.

Well, I'm trying to get a test together - although I don't have webdav
anywhere... I was going to try it via FTP, however I'm hitting another
MMU bug in Xen:
	https://bugs.archlinux.org/task/38596

This references:
	https://lkml.org/lkml/2014/1/23/596

It says that should be fixed in 3.15-rc3 (if I understand properly) -
but I'm also hitting that on 3.14.2. Did these changes get ported back
to the 3.14 tree?

(also adding in Konrad vs the vsftp issue in Xen PV DomUs).

-- 
Steven Haigh

Email: [email-masked]
Web: http://www.crc.id.au
Phone: (03) 9001 6090 - 0412 935 897
Fax: (03) 8338 0299